// java

package pubevents.addevents;

import edu.washington.cac.calendar.CalLogFactory;
import edu.washington.cac.calendar.db.CalConnection;
import edu.washington.cac.calendar.db.DBResources;

/**
  An object to handle connection to the database

  @author Greg Barnes
  @version 2.1
 */
public class EventData extends CalConnection
{
  /** Create a new instance */
  public EventData()
  {
    super(new CalLogFactory().create());
  }

  /** Create a new instance 
    @param dbName name of database to use (should be either 
      <code>DBResources.DEV</code> or <code>DBResources.PROD</code>)
    */
  public EventData(String dbName)
  {
    super(new CalLogFactory().create(), dbName);
  }
}
