// java

package pubevents.util;

import edu.washington.cac.calendar.CalProperties;
import edu.washington.cac.myuw.servlet.MessageMaker;

import pubevents.PEDefaults;

/** Simple wrapper for the MessageMaker class
  @author Leman Chung, Greg Barnes
  @version 1.1
 */
public class PEAdminMessageMaker extends MessageMaker 
{
  /**
    Create a new instance
   */
  public PEAdminMessageMaker() 
  {
    // for administrator login menu.
    super(PEDefaults.APP_NAME, PEDefaults.ADMIN_LOGIN_URL, 
          PEDefaults.ADMIN_MENU_URL, PEDefaults.EMAIL, 
          CalProperties.cookiesHelpUrl());
  }
}
