//
// Add a user to authorization table.
//

/** AddUsersAdd: add a user to authorization table after editing is completed.
  *
  *@author Leman Chung
  *@date   Sept. 06, 2000
  */

package pubevents.authtable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.PrintWriter;

import java.sql.SQLException;

import edu.washington.cac.calendar.db.Fields;

import pubevents.PEDefaults;
import pubevents.PEParameter;
import pubevents.addevents.SqlStatements;
import pubevents.util.PrintWebPage;

public class AddUsersAdd {

  public AddUsersAdd
       (HttpServletRequest req, HttpServletResponse res, int userid)
       throws IOException, SQLException {

    String templateFile = PEDefaults.USER_ADDED;

    PEParameter pep = new PEParameter(req);
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();

    SqlStatements sqlstmts = new SqlStatements ();

 try {
   sqlstmts.addAuth(req, userid);
 } finally {
   sqlstmts.close();
 }

    new PrintWebPage(templateFile, out);
    out.close();
  }
} // the end.
